# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   w2k theme for ksplash
Name:      ks2k
Version:   1.01
Release:   15AX
Copyright: GPL
Url:       www.redflag-linux.com
Group:     Applications/System
Source:    %{name}-%{version}.tar.gz
Source1:   Logo-ax.png
Patch:     ks2k-20030612.patch
Patch1:	   ks2k-1.01-configure-x86_64.patch
BuildRoot: /var/tmp/%{name}-root

%description
w2k theme for ksplash

%prep
%setup -q
%ifarch x86_64
%patch1 -p1
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --prefix=/usr \
                $LOCALFLAGS
                # --build=i386-linux --host=i386-linux --target=i386-linux --prefix=/usr \
%patch -p1
%build
# Setup for parallel builds
#numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
#if [ "$numprocs" = "0" ]; then
#  numprocs=1
#fi

#make -j$numprocs
make

%install
#make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make  prefix=$RPM_BUILD_ROOT/usr install 

cp -f %{SOURCE1} $RPM_BUILD_ROOT/usr/share/apps/ksplashml/Themes/KDE2k/

cd $RPM_BUILD_ROOT
#find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.rpmupdate
#find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.rpmupdate
#find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.rpmupdate

if [ "%{_lib}" = "lib64" ]; then
	mv usr/lib usr/lib64
fi

%clean
#rm -rf $RPM_BUILD_ROOT/*
#rm -rf $RPM_BUILD_DIR/rpmupdate
#rm -rf ../file.list.rpmupdate

%post
cd /usr/share/apps/ksplashml/Themes/KDE2k
rm -f Logo.png
ln -s Logo-ax.png Logo.png

#%files -f ../file.list.rpmupdate
%files
/%{_libdir}/*
/usr/share/apps/ksplashml/Themes/*
%changelog
*Tue Nov 29 2005 HuaJie <jiehua@redflag-linux.com> 1.01-15AX
-change group to Applications

*Thu Nov 11 2004 HuaJie <jiehua@redflag-linux.com> 1.01-14AX
-fix a bug about English Grammar

*Mon Oct 18 2004 HuaJie <jiehua@redflag-linux.com> 1.01-13AX
-mv files in /usr/lib to /usr/lib64 when %{_lib} is lib64

*Sat Oct 09 2004 HuaJie <jiehua@redflag-linux.com> 1.01-12AX
-modify to support x86_64

*Sat Apr 24 2004 HuaJie <jiehua@redflag-linux.com> 1.01-11AX
-change the logo for Asianux

*Thu Mar 11 2004 HuaJie <jiehua@redflag-linux.com> 1.01-10AX
-change the logo for Asianux

*Thu Mar 11 2004 HuaJie <jiehua@redflag-linux.com> 1.01-9AX
-change the logo to Asianux

*Fri Jan 09 2004 HuaJie <jiehua@redflag-linux.com>
-rebuild for Asianux

*Tue Mar 18 2003 xingjian <jianxing@redflag-linux.com>
-make package
